PARPORT_CLAIM_OR_BLO(9)

NAME
parport_claim_or_block - claim access to a parallel port device

SYNOPSIS

int parport_claim_or_block(struct pardevice * dev);

ARGUMENTS

dev
    pointer to structure representing a device on the port

DESCRIPTION

This behaves like parport_claim, but will block if necessary to wait for the port to be free. A return value of 1 indicates that it slept; 0 means that it succeeded without needing to sleep. A negative error code indicates failure.

COPYRIGHT